<?php
  /* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */
  // load viewer library
  $libraryPath = 'cmsAdmin/lib/viewer_functions.php';
  $dirsToCheck = array('/your_server_path/','','../','../../','../../../');
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); }

  list($fontsRecords, $fontsMetaData) = getRecords(array(
    'tableName'   => 'fonts',
'limit'       => '1',

  ));
  $fontsRecord = @$fontsRecords[0]; // get first record
  
  ?>
<?php
/*** set the content type header ***/
header("Content-type: text/css");
?>

<?php $fontsRecord['masthead_font:label'] = preg_replace("/[0-9:]/", "", $fontsRecord['masthead_font:label']); ?>

<?php $fontsRecord['heading_font:label'] = preg_replace("/[0-9:]/", "", $fontsRecord['heading_font:label']); ?>

<?php $fontsRecord['sub_heading_font:label'] = preg_replace("/[0-9:]/", "", $fontsRecord['sub_heading_font:label']); ?>

<?php $fontsRecord['large_page_title_font:label'] = preg_replace("/[0-9:]/", "", $fontsRecord['large_page_title_font:label']); ?>

<?php $fontsRecord['page_title_font:label'] = preg_replace("/[0-9:]/", "", $fontsRecord['page_title_font:label']); ?>

<?php $fontsRecord['text_font:label'] = preg_replace("/[0-9:]/", "", $fontsRecord['text_font:label']); ?>

<?php $fontsRecord['small_text_font:label'] = preg_replace("/[0-9:]/", "", $fontsRecord['small_text_font:label']); ?>

<?php $fontsRecord['tiny_text_font:label'] = preg_replace("/[0-9:]/", "", $fontsRecord['tiny_text_font:label']); ?>

<?php $fontsRecord['navigation_link_font:label'] = preg_replace("/[0-9:]/", "", $fontsRecord['navigation_link_font:label']); ?>

.masthead_font {
  font-family: "<?php if ($fontsRecord['masthead_font']): ?><?php $fontsRecord['masthead_font:label'] = preg_replace("/[0-9:]/", "", $fontsRecord['masthead_font:label']); ?><?php echo $fontsRecord['masthead_font:label'] ?>";<?php else: ?>Verdana", san-serif;<?php endif ?> text-shadow: -1px -1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>, 1px -1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>, -1px 1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>, 1px 1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>; letter-spacing:3.5px; <?php if ($fontsRecord['masthead_font_size']): ?>font-size:<?php echo $fontsRecord['masthead_font_size'] ?>em;<?php else: ?>font-size: 1.5em;<?php endif ?> <?php if ($fontsRecord['masthead_font_color']): ?>color:#<?php echo $fontsRecord['masthead_font_color'] ?>;<?php else: ?>color:#000000;<?php endif ?> <?php if ($fontsRecord['masthead_font_style']): ?>font-style:<?php echo $fontsRecord['masthead_font_style'] ?>;<?php else: ?>font-style: normal;<?php endif ?> 
}

.main_portfolio_category_font {
  font-family: "<?php if ($fontsRecord['main_portfolio_category_font']): ?><?php $fontsRecord['main_portfolio_category_font:label'] = preg_replace("/[0-9:]/", "", $fontsRecord['main_portfolio_category_font:label']); ?><?php echo $fontsRecord['main_portfolio_category_font:label'] ?>";<?php else: ?>Verdana", san-serif;<?php endif ?> text-shadow: -1px -1px 1px #<?php echo $fontsRecord['main_portfolio_category_font_shadow_color'] ?>, 1px -1px 1px #<?php echo $fontsRecord['main_portfolio_category_font_shadow_color'] ?>, -1px 1px 1px #<?php echo $fontsRecord['main_portfolio_category_font_shadow_color'] ?>, 1px 1px 1px #<?php echo $fontsRecord['main_portfolio_category_font_shadow_color'] ?>; letter-spacing:2.2px; <?php if ($fontsRecord['main_portfolio_category_font_size']): ?>font-size:<?php echo $fontsRecord['main_portfolio_category_font_size'] ?>em;<?php else: ?>font-size: 3.0em;<?php endif ?> <?php if ($fontsRecord['main_portfolio_category_font_color']): ?>color:#<?php echo $fontsRecord['main_portfolio_category_font_color'] ?>;<?php else: ?>color:#000000;<?php endif ?> <?php if ($fontsRecord['main_portfolio_category_font_style']): ?>font-style:<?php echo $fontsRecord['main_portfolio_category_font_style'] ?>;<?php else: ?>font-style: normal;<?php endif ?> 
}

.heading_font {
  font-family: "<?php if ($fontsRecord['heading_font']): ?><?php echo $fontsRecord['heading_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> <?php if ($fontsRecord['heading_font_size']): ?>font-size:<?php echo $fontsRecord['heading_font_size'] ?>em;<?php else: ?>font-size: 1.4em;<?php endif ?> <?php if ($fontsRecord['heading_font_color']): ?>color:#<?php echo $fontsRecord['heading_font_color'] ?>;<?php else: ?>color:#000000;<?php endif ?> <?php if ($fontsRecord['heading_font_style']): ?>font-style:<?php echo $fontsRecord['heading_font_style'] ?>;<?php else: ?>font-style: normal;<?php endif ?>
}

.sub_heading_font {
  font-family: "<?php if ($fontsRecord['sub_heading_font']): ?><?php echo $fontsRecord['sub_heading_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> <?php if ($fontsRecord['sub_heading_font_size']): ?>font-size:<?php echo $fontsRecord['sub_heading_font_size'] ?>em;<?php else: ?>font-size: 1.1em;<?php endif ?> <?php if ($fontsRecord['sub_heading_font_color']): ?>color:#<?php echo $fontsRecord['sub_heading_font_color'] ?>;<?php else: ?>color:#000000;<?php endif ?> <?php if ($fontsRecord['sub_heading_font_style']): ?>font-style:<?php echo $fontsRecord['sub_heading_font_style'] ?>;<?php else: ?>font-style: normal;<?php endif ?>
}

.large_page_title_font {
  font-family: "<?php if ($fontsRecord['large_page_title_font']): ?><?php echo $fontsRecord['large_page_title_font:label'] ?>";<?php else: ?>Verdana", san-serif;<?php endif ?> <?php if ($fontsRecord['large_page_title_font_size']): ?>font-size:<?php echo $fontsRecord['large_page_title_font_size'] ?>em;<?php else: ?>font-size: 1.1em;<?php endif ?> <?php if ($fontsRecord['large_page_title_font_color']): ?>color:#<?php echo $fontsRecord['large_page_title_font_color'] ?>;<?php else: ?>color:#000000;<?php endif ?> <?php if ($fontsRecord['large_page_title_font_style']): ?>font-style:<?php echo $fontsRecord['large_page_title_font_style'] ?>;<?php else: ?>font-style: normal;<?php endif ?>
}

.page_title_font {
  font-family: "<?php if ($fontsRecord['page_title_font']): ?><?php echo $fontsRecord['page_title_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> <?php if ($fontsRecord['page_title_font_size']): ?>font-size:<?php echo $fontsRecord['page_title_font_size'] ?>em;<?php else: ?>font-size: 1.0em;<?php endif ?> <?php if ($fontsRecord['page_title_font_color']): ?>color:#<?php echo $fontsRecord['page_title_font_color'] ?>;<?php else: ?>color:#000000;<?php endif ?> <?php if ($fontsRecord['page_title_font_style']): ?>font-style:<?php echo $fontsRecord['page_title_font_style'] ?>;<?php else: ?>font-style: normal;<?php endif ?>
 }
  
.text_font {
  font-family: "<?php if ($fontsRecord['text_font']): ?><?php echo $fontsRecord['text_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> <?php if ($fontsRecord['text_font_size']): ?>font-size:<?php echo $fontsRecord['text_font_size'] ?>em;<?php else: ?>font-size: .9em;<?php endif ?> <?php if ($fontsRecord['text_font_color']): ?>color:#<?php echo $fontsRecord['text_font_color'] ?>;<?php else: ?>color:#000000;<?php endif ?> <?php if ($fontsRecord['text_font_style']): ?>font-style:<?php echo $fontsRecord['text_font_style'] ?>;<?php else: ?>font-style: normal;<?php endif ?>
}

.text_font_bold {
  font-family: "<?php if ($fontsRecord['text_font']): ?><?php echo $fontsRecord['text_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> <?php if ($fontsRecord['text_font_size']): ?>font-size:<?php echo $fontsRecord['text_font_size'] ?>em;<?php else: ?>font-size: .9em;<?php endif ?> <?php if ($fontsRecord['text_font_color']): ?>color:#<?php echo $fontsRecord['text_font_color'] ?>;<?php else: ?>color:#000000;<?php endif ?> <?php if ($fontsRecord['text_font_style']): ?>font-style:<?php echo $fontsRecord['text_font_style'] ?>;<?php else: ?>font-style: normal; <?php endif ?> font-weight: bold;
}

.small_text_font {
  font-family: "<?php if ($fontsRecord['small_text_font']): ?><?php echo $fontsRecord['small_text_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> <?php if ($fontsRecord['small_text_font_size']): ?>font-size:<?php echo $fontsRecord['small_text_font_size'] ?>em;<?php else: ?>font-size: .75em;<?php endif ?> <?php if ($fontsRecord['small_text_font_color']): ?>color:#<?php echo $fontsRecord['small_text_font_color'] ?>;<?php else: ?>color:#000000;<?php endif ?> <?php if ($fontsRecord['small_text_font_style']): ?>font-style:<?php echo $fontsRecord['small_text_font_style'] ?>;<?php else: ?>font-style: normal;<?php endif ?>
}


.tiny_text_font {
  font-family: "<?php if ($fontsRecord['tiny_text_font']): ?><?php echo $fontsRecord['tiny_text_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> <?php if ($fontsRecord['tiny_text_font_size']): ?>font-size:<?php echo $fontsRecord['tiny_text_font_size'] ?>em;<?php else: ?>font-size: .6em;<?php endif ?> <?php if ($fontsRecord['tiny_text_font_color']): ?>color:#<?php echo $fontsRecord['tiny_text_font_color'] ?>;<?php else: ?>color:#000000;<?php endif ?> <?php if ($fontsRecord['tiny_text_font_style']): ?>font-style:<?php echo $fontsRecord['tiny_text_font_style'] ?>;<?php else: ?>font-style: normal;<?php endif ?>
}

.disclaimer {font-family: "<?php if ($fontsRecord['small_text_font']): ?><?php echo $fontsRecord['small_text_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> text-decoration: none; border: none; <?php if ($fontsRecord['small_text_font_size']): ?>font-size:<?php echo $fontsRecord['small_text_font_size'] ?>em;<?php else: ?>font-size: .75em;<?php endif ?>; color:# <?php if ($fontsRecord['navigation_font_normal_color']): ?><?php echo $fontsRecord['navigation_font_normal_color'] ?><?php else: ?>000000<?php endif ?>; }
a.disclaimer:link {font-family: "<?php if ($fontsRecord['small_text_font']): ?><?php echo $fontsRecord['small_text_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> text-decoration: none; border: none; <?php if ($fontsRecord['small_text_font_size']): ?>font-size:<?php echo $fontsRecord['small_text_font_size'] ?>em;<?php else: ?>font-size: .75em;<?php endif ?>; color:#<?php if ($fontsRecord['navigation_font_normal_color']): ?><?php echo $fontsRecord['navigation_font_normal_color'] ?><?php else: ?>000000<?php endif ?>;}
a.disclaimer:visited {font-family: "<?php if ($fontsRecord['small_text_font']): ?><?php echo $fontsRecord['small_text_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?>; text-decoration: none; border: none; <?php if ($fontsRecord['small_text_font_size']): ?>font-size:<?php echo $fontsRecord['small_text_font_size'] ?>em;<?php else: ?>font-size: .75em;<?php endif ?>; color:#<?php if ($fontsRecord['navigation_font_normal_color']): ?><?php echo $fontsRecord['navigation_font_normal_color'] ?><?php else: ?>000000<?php endif ?>;}
a.disclaimer:hover {font-family: "<?php if ($fontsRecord['small_text_font']): ?><?php echo $fontsRecord['small_text_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> text-decoration: underline; border: none; <?php if ($fontsRecord['small_text_font_size']): ?>font-size:<?php echo $fontsRecord['small_text_font_size'] ?>em;<?php else: ?>font-size: .75em;<?php endif ?>; color:#<?php if ($fontsRecord['navigation_font_rollover_color']): ?><?php echo $fontsRecord['navigation_font_rollover_color'] ?><?php else: ?>000000<?php endif ?>;}
a.disclaimer:active {font-family: "<?php if ($fontsRecord['small_text_font']): ?><?php echo $fontsRecord['small_text_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> text-decoration: none; border: none; <?php if ($fontsRecord['small_text_font_size']): ?>font-size:<?php echo $fontsRecord['small_text_font_size'] ?>em;<?php else: ?>font-size: .75em;<?php endif ?>; color:#<?php if ($fontsRecord['navigation_font_normal_color']): ?><?php echo $fontsRecord['navigation_font_normal_color'] ?><?php else: ?>000000<?php endif ?>;}



a.navigation:link {font-family: "<?php if ($fontsRecord['navigation_link_font']): ?><?php echo $fontsRecord['navigation_link_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> text-shadow: -1px -1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>, 1px -1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>, -1px 1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>, 1px 1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>;  text-decoration: none; border: none; <?php if ($fontsRecord['navigation_link_font_size']): ?>font-size:<?php echo $fontsRecord['navigation_link_font_size'] ?>em;<?php else: ?>font-size: 1.0em;<?php endif ?>; color:#<?php if ($fontsRecord['navigation_font_normal_color']): ?><?php echo $fontsRecord['navigation_font_normal_color'] ?><?php else: ?>000000<?php endif ?>;}

a.navigation:visited {font-family: "<?php if ($fontsRecord['navigation_link_font']): ?><?php echo $fontsRecord['navigation_link_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> text-shadow: 3px 3px 2px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>; text-decoration: none; border: none; <?php if ($fontsRecord['navigation_link_font_size']): ?>font-size:<?php echo $fontsRecord['navigation_link_font_size'] ?>em;<?php else: ?>font-size: 1.0em;<?php endif ?>; color:#<?php if ($fontsRecord['navigation_font_normal_color']): ?><?php echo $fontsRecord['navigation_font_normal_color'] ?><?php else: ?>000000<?php endif ?>;}

a.navigation:hover {font-family: "<?php if ($fontsRecord['navigation_link_font']): ?><?php echo $fontsRecord['navigation_link_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> text-shadow: -1px -1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>, 1px -1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>, -1px 1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>, 1px 1px 1px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>; text-decoration: none; border: none; <?php if ($fontsRecord['navigation_link_font_size']): ?>font-size:<?php echo $fontsRecord['navigation_link_font_size'] ?>em;<?php else: ?>font-size: 1.0em;<?php endif ?>; color:#<?php if ($fontsRecord['navigation_font_rollover_color']): ?><?php echo $fontsRecord['navigation_font_rollover_color'] ?><?php else: ?>000000<?php endif ?>;}

a.navigation:active {font-family: "<?php if ($fontsRecord['navigation_link_font']): ?><?php echo $fontsRecord['navigation_link_font:label'] ?>", san-serif;<?php else: ?>Verdana", san-serif;<?php endif ?> text-shadow: 3px 3px 2px #<?php echo $fontsRecord['navigation_link_shadow_color'] ?>; text-decoration: none; border: none; <?php if ($fontsRecord['navigation_link_font_size']): ?>font-size:<?php echo $fontsRecord['navigation_link_font_size'] ?>em;<?php else: ?>font-size: 1.0em;<?php endif ?> color:#<?php if ($fontsRecord['navigation_font_normal_color']): ?><?php echo $fontsRecord['navigation_font_normal_color'] ?><?php else: ?>000000<?php endif ?>;}


